clc;
close all;
clear;

%This script plots BER vs SNR for both with and without match filtering
SNR = -10:2:20;
ber1 = zeros(1, length(SNR));
ber2 = ber1;

iter = 10;

for i = 1:iter
    fprintf('iteration loop: %d\n', i);
    for n = 1:length(SNR)
        ber1(n) = ber1(n) + FourPam(SNR(n), 1); %with mf
        ber2(n) = ber2(n) + FourPam(SNR(n), 0); %without mf
    end
end

ber1 = ber1/iter;
ber2 = ber2/iter;

figure;
semilogy(SNR, ber1, '-bo', SNR, ber2, '-rx');
xlabel('SNR (dB)');
ylabel('Bit Error Rate');
title('Bit Error Rates of 4-PAM');
legend('With Matched Filtering', 'Without Matched Filtering');