function [txValue, bits, syms] = getTxValue(N)
%Obtains the transmit value of the signal
%based on generation of N bits, mapping 2 bits
%per symbol

bits = rand(N, 1) > 0.5;    %bits of 0 and 1s equally likely
syms = NaN(N/2, 1);     %N must be even!

for b = 1:2:N
   s = (b+1)/2;
   bpair = bits(b:b+1); 
   if bpair(1) == 0 && bpair(2) == 0
       syms(s) = 0;
   elseif bpair(1) == 1 && bpair(2) == 0
       syms(s) = 1;
   elseif bpair(1) == 0 && bpair(2) == 1
       syms(s) = 2;
   else
       syms(s) = 3;
   end
end

txValue = NaN(N/2, 1);

%bi-polar constellation
for s = 1:N/2
   switch syms(s)
       case 0
           txValue(s) = 1;
       case 1
           txValue(s) = -1;
       case 2
           txValue(s) = -3;
       otherwise
           txValue(s) = 3;
   end
end

end

